#include <glib.h>

extern guint16 ccitt_crc (const unsigned char *ptr, register int len);

static int
check_crc (const unsigned char *string, guint16 expected)
{
	guint16 crc;

	crc = ccitt_crc (string, strlen (string));
	g_print ("crc of %s: %x\n", string, crc);
	if (crc != expected)
	{
		g_print ("Expected %x, error !\n", expected);
		return -1;
	}
	return 0;
}

int
main (int argc, char *argv[])
{
	guint16 expected;
	guint16 crc;
	unsigned char *string;

	/* THE */
	if (check_crc ("THE", 0x2d69) != 0) return -1;

	/* CatMouse987654321 */
	if (check_crc ("CatMouse987654321", 0xdd45) != 0) return -1;

	/* this string is in the uecp specification;
	 * the protocol used is the same except for a final xor,
	 * as shown here */
	/* 2D111234010105ABCD123F0XXXX11069212491000320066 */
	if (check_crc ("2D111234010105ABCD123F0XXXX11069212491000320066",
		       0x9723) != 0) return -1;

	return 0;
}
