#include <glib.h>
#include <libuecp/libuecp.h>

static void
dump_buffer (const unsigned char *ptr)
{
	unsigned char *p;
	printf ("Dumping buffer %p, starting with %2x\n", ptr, *ptr);
	for (p = (unsigned char *) ptr; *p != 0xff; ++p)
	{
		printf ("%2x  ", *p);
	}
	printf ("%2x  \n", *p);

}

int
main (int argc, char *argv[])
{
	UecpMessager *messager;
	unsigned char *buffer;

	messager = uecp_messager_new ();
	uecp_messager_set_site_address (messager, 1023);
	uecp_messager_set_encoder_address (messager, 3);
	uecp_messager_set_data_set_number (messager, 0);
	uecp_messager_set_program_service_number (messager, 0);

	buffer = uecp_messager_ps (messager, "UECP");
	/* do it twice so we get a sqc of 2 to compare with frame-test */
	buffer = uecp_messager_ps (messager, "UECP");

	dump_buffer (buffer);
	g_free (buffer);

	buffer = uecp_messager_rt (messager, "UECP does radiotext too",
				   FALSE, 0, FALSE);
	dump_buffer (buffer);
	g_free (buffer);

	return 0;
}
